#!/bin/bash

BOTTLE_NAME="Deepin-QQ"
DEBUG_MSG="+pid,+tid,+timestamp"

find_exec_path()
{
    RUN_SHELL=$HOME/.deepinwine/$1/drive_c/deepin/EnvInit.sh
    if [ -e "$RUN_SHELL" ]; then
        APP_PATH=$(cat $RUN_SHELL | grep "env WINEPREFIX=\"\$BASE_DIR\" \$WINE_CMD" | grep "\&" | grep -E "c:|C:" | cut -d "\"" -f4)
        echo $1=$APP_PATH
    fi
}

show_all_apps()
{
    APP_LIST="$(ls $HOME/.deepinwine)"
    for name in $APP_LIST; do
        find_exec_path $name
    done
    exit
}

#show_all_apps

if [ -n "$1" ]; then
    BOTTLE_NAME="$1"
fi

if [ -n "$2" ]; then
    DEBUG_MSG="$2"
fi

APP_PATH="$(find_exec_path $BOTTLE_NAME)"
if [ -n "$APP_PATH" ]; then
    mkdir $HOME/log &> /dev/null
    echo "WINEPREFIX=${HOME}/.deepinwine/${BOTTLE_NAME} WINEDEBUG=${DEBUG_MSG} deepin-wine \"${APP_PATH##*=}\" $3 &> $HOME/log/${BOTTLE_NAME}.log &"
    WINEPREFIX=${HOME}/.deepinwine/${BOTTLE_NAME} WINEDEBUG=${DEBUG_MSG} deepin-wine "${APP_PATH##*=}" $3 &> $HOME/log/${BOTTLE_NAME}.log &
    dde-file-manager $HOME/log &> /dev/null &
fi
